Project

General

Profile

Anomalie #4278

Upgrade bloqué de Redmine

Added by Christian P. Momon over 2 years ago. Updated over 2 years ago.

Status:
Fermé
Priority:
Normale
Assignee:
Christian P. Momon
Category:
-
Target version:
Start date:
02/25/2020
Due date:
% Done:

0%

Estimated time:
Difficulté:
2 Facile

Description

Lors d'une upgrade sur la vm agir, blocage sur une erreur d'upgrade de Redmine.

===== agir =====
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  libjs-chart.js
The following packages will be upgraded:
  libcurl3-gnutls libcurl4 redmine
3 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 2050 kB of archives.
After this operation, 1041 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://security.debian.org buster/updates/main amd64 libcurl3-gnutls amd64 7.64.0-4+deb10u1 [330 kB]
Get:2 http://security.debian.org buster/updates/main amd64 libcurl4 amd64 7.64.0-4+deb10u1 [331 kB]
Get:3 http://ftp.fr.debian.org/debian buster/main amd64 libjs-chart.js all 2.7.3+dfsg-5 [225 kB]
Get:4 http://ftp.fr.debian.org/debian bullseye/main amd64 redmine all 4.0.6-2 [1164 kB]
Fetched 2050 kB in 0s (8130 kB/s)
Preconfiguring packages ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
Selecting previously unselected package libjs-chart.js.
(Reading database ... 48774 files and directories currently installed.)
Preparing to unpack .../libjs-chart.js_2.7.3+dfsg-5_all.deb ...
Unpacking libjs-chart.js (2.7.3+dfsg-5) ...
Preparing to unpack .../redmine_4.0.6-2_all.deb ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
Unpacking redmine (4.0.6-2) over (4.0.4-3) ...
Preparing to unpack .../libcurl3-gnutls_7.64.0-4+deb10u1_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.64.0-4+deb10u1) over (7.64.0-4) ...
Preparing to unpack .../libcurl4_7.64.0-4+deb10u1_amd64.deb ...
Unpacking libcurl4:amd64 (7.64.0-4+deb10u1) over (7.64.0-4) ...
Setting up libjs-chart.js (2.7.3+dfsg-5) ...
Setting up libcurl3-gnutls:amd64 (7.64.0-4+deb10u1) ...
Setting up redmine (4.0.6-2) ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
Could not find gem 'i18n (~> 1.5)' in any of the gem sources listed in your Gemfile.
dpkg: error processing package redmine (--configure):
 installed redmine package post-installation script subprocess returned error exit status 1
Setting up libcurl4:amd64 (7.64.0-4+deb10u1) ...
Processing triggers for libc-bin (2.29-2) ...
Errors were encountered while processing:
 redmine
[master 40dd920] committing changes in /etc made by "apt-get dist-upgrade" 
 Author: Christian Pierre MOMON <cmomon@april.org>
 2 files changed, 2 insertions(+)
 create mode 100644 redmine/.instances
needrestart is being skipped since dpkg has failed
E: Sub-process /usr/bin/dpkg returned an error code (1)
Connection to agir.cluster.april.org closed.

History

#1

Updated by Christian P. Momon over 2 years ago

  • Status changed from Nouveau to Résolu
Ça vient de l'installation Buster/Bullseye. Actions :
  • stopper Apache ;
  • éditer le fichier /usr/share/redmine/Gemfile :
    16c16
    < gem "i18n", "~> 1.5" 
    ---
    > gem "i18n", "~> 0.7" 
    
  • apt-get dist-upgrade (long avec des warnings)
  • redémarrer Apache.

Tout semble ok.

#2

Updated by Quentin Gibeaux over 2 years ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF